college/urls.py
from django.conf.urls import url, include

from . import views
urlpatterns = [
    url(r'^$', views.index, name="/"),
    url(r'^delete/(?P<delete_id>[0-9]+)$', views.delete,name='delete'),
    url(r'^update/(?P<update_id>[0-9]+)$', views.update,name='update'),
    url(r'^matkul/', views.matkul, name='matkul'),
    url(r'^detailmatkul/', views.detail_matkul, name='detailmatkul'),
    url(r'^detailpermatkul/(?P<matkul_id>[0-9]+)$', views.detailpermatkul, name='detailpermatkul'),
] 

wahibadiyatma/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url, include

from . import views
urlpatterns = [
    path('admin/', admin.site.urls),
    url(r'^work/', include(('work.urls', 'work'),namespace='work')),
    url(r'^college/', include(('college.urls','college'),namespace='college')),
    url(r'^$', views.index, name='index'),
    path('meetme/', include(('meetme.urls', 'meetme'), namespace ='meetme')),
    path('searchBooks/', include(('searchBooks.urls', 'searchBooks'), namespace ='searchBooks')),
    path('story9/', include(('story9.urls', 'story9'), namespace ='story9')),
]

work/urls.py
from django.conf.urls import url, include

from . import views
urlpatterns = [
    url(r'^$', views.index)
]

college/models.py
from django.db import models

# Create your models here.
class CollegeModel(models.Model):
	LIST_SKS = (
		('1 SKS','1 SKS'),
		('2 SKS','2 SKS'),
		('2 SKS','3 SKS'),	
		('4 SKS','4 SKS'),				
		)
	LIST_SEMESTER = (
		('Gasal - 2017/2018','Gasal - 2017/2018'),
		('Genap - 2017/2018','Genap - 2017/2018'),
		('Gasal - 2018/2019','Gasal - 2018/2019'),
		('Genap - 2018/2019','Genap - 2018/2019'),			
		('Gasal - 2019/2020','Gasal - 2019/2020'),				
		('Genap - 2019/2020','Genap - 2019/2020'),
		('Gasal - 2020/2021','Gasal - 2020/2021'),
		('Genap - 2020/2021','Genap - 2020/2021'),
		)

	nama_matkul = models.CharField(max_length=30)
	nama_dosen = models.CharField(max_length=100)
	jumlah_sks = models.CharField(
			max_length=10,
			choices = LIST_SKS,
			default = '1 SKS',
		)

	deskripsi_matkul = models.TextField()

	semester = models.CharField(
			max_length=30,
			choices = LIST_SEMESTER,
			default = 'Gasal - 2020/2021',

		)	
	ruang_kelas = models.CharField(max_length=4)


	def __str__(self):
		return "{}.{}".format(self.id,self.nama_matkul)

college/forms.py
from django import forms
from .models import CollegeModel

class CollegeForm(forms.ModelForm):
	class Meta :
		model = CollegeModel
		fields = [
			'nama_matkul',
			'nama_dosen',
			'jumlah_sks',
			'deskripsi_matkul',
			'semester',
			'ruang_kelas',
		]

		widgets = {
		'nama_matkul' : forms.TextInput(
				attrs={
					'class':'form-control',
					'placeholder':'Masukan Mata Kuliah'
				}
			),
		'nama_dosen': forms.TextInput(
				attrs={
					'class':'form-control',
					'placeholder':'Masukan Mata Kuliah',
				}
			),
		'jumlah_sks' : forms.Select(
				attrs={
					'class':'form-control',
				}
		),
		'deskripsi_matkul' : forms.Textarea(
				attrs={
					'class':'form-control',
					'placeholder':'Deskripsikan Mata Kuliah Disini',
				}
			),
		'semester': forms.Select(
				attrs={
					'class':'form-control',
				}
			),
		'ruang_kelas': forms.TextInput(
				attrs={
					'class':'form-control',
					'placeholder':'Masukan 4 Digit Ruang Kelas'
				}
			)
		}

college/views.py
from django.shortcuts import render, redirect
from .forms import CollegeForm
from .models import CollegeModel

def index(request):
	college_form = CollegeForm(request.POST or None)

	if request.method == 'POST':
		if college_form.is_valid():
			college_form.save()
			return redirect('college:matkul')

	context = {
		'data_form': college_form,
		'judul' : 'Tambahkan Mata Kuliah',
	}
	return render(request,'college/index.html', context)


def update(request,update_id):
	matkul_update = CollegeModel.objects.get(id=update_id)

	data_update = {
		'nama_matkul' : matkul_update.nama_matkul,
		'nama_dosen' : matkul_update.nama_dosen,
		'jumlah_sks' : matkul_update.jumlah_sks,
		'deskripsi_matkul' : matkul_update.deskripsi_matkul,
		'semester' : matkul_update.semester,
		'ruang_kelas' : matkul_update.ruang_kelas, 
	}
	college_form = CollegeForm(request.POST or None, initial = data_update, instance=matkul_update)
	
	if request.method == 'POST':
		if college_form.is_valid():
			college_form.save()
			return redirect('college:detailmatkul')

	context = {
		'data_form': college_form,
		'judul' : 'Update Mata Kuliah',
	}
	return render(request,'college/update.html', context) 

def delete(request,delete_id):
	CollegeModel.objects.filter(id=delete_id).delete()
	return redirect('college:detailmatkul')

def matkul(request):
	data_matkul = CollegeModel.objects.all()

	context = {
		'data_matkul': data_matkul,
		'judul' : 'Mata Kuliah Wahib',
	}

	return render(request,'college/matkul.html',context)

def detail_matkul(request):
	data_matkul = CollegeModel.objects.all()
	context = {
		'data_matkul': data_matkul,
		'judul' : 'Detail Mata Kuliah Wahib',
	}

	return render(request,'college/detailmatkul.html',context)

def detailpermatkul(request, matkul_id):
	data_matkul = CollegeModel.objects.filter(id=matkul_id)
	context = {
		'data_matkul': data_matkul,
		'judul' : 'Detail Mata Kuliah',
	}

	return render(request,'college/detailpermatkul.html',context)

college/templates/college/detailmatkul.html
{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}

{% block navbar %}
	<header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>

        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
	</header>
{% endblock navbar %}
{% block main %}
<section class="about section " id="about" style="height:600px;;">
    <h2 class="section-title" style="margin-top:50px;">Detail Mata Kuliah</h2>
    <div class="about__container bd-grid col-5 d-flex justify-content-center" id="tambah_matkul">
    </div>
        <table class="table table-responsive-md mx-auto" style="max-width:80%;">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Mata Kuliah</th>
              <th scope="col">Nama Dosen/Pengajar</th>
              <th scope="col">Jumlah SKS</th>
              <th scope="col">Deskripsi</th>
              <th scope="col">Semester - Tahun Ajar</th>
              <th scope="col">Kode Ruang Kelas</th>
              <th scope="col"></th>
              <th scope="col"></th>
              
            </tr>
          </thead>
          <tbody>
            {% for matkul in data_matkul %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{matkul.nama_matkul}}</td>
              <td>{{matkul.nama_dosen}}</td>
              <td>{{matkul.jumlah_sks}}</td>
              <td>{{matkul.deskripsi_matkul}}</td>
              <td>{{matkul.semester}}</td>
              <td>{{matkul.ruang_kelas}}</td>
              <td><a href="{% url 'college:update' matkul.id %}"> <button type="button" class="btn btn-outline-info">Update</button></a></td>
              <td><a href="{% url 'college:delete' matkul.id %}"> <button type="button" class="btn btn-outline-danger">Delete</button></a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
</section>
{% endblock main %}

college/templates/college/detailpermatkul.html
{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}

{% block navbar %}
	<header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>

        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
	</header>
{% endblock navbar %}
{% block main %}
<section class="about section " id="about" style="height:600px;;">
    <h2 class="section-title" style="margin-top:50px;">Detail Mata Kuliah</h2>
    <div class="about__container bd-grid col-5 d-flex justify-content-center" id="tambah_matkul">
    </div>
        <table class="table table-responsive-md mx-auto" style="max-width:80%;">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Mata Kuliah</th>
              <th scope="col">Nama Dosen/Pengajar</th>
              <th scope="col">Jumlah SKS</th>
              <th scope="col">Deskripsi</th>
              <th scope="col">Semester - Tahun Ajar</th>
              <th scope="col">Kode Ruang Kelas</th>
              <th scope="col"></th>
              <th scope="col"></th>
              
            </tr>
          </thead>
          <tbody>
            {% for matkul in data_matkul %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{matkul.nama_matkul}}</td>
              <td>{{matkul.nama_dosen}}</td>
              <td>{{matkul.jumlah_sks}}</td>
              <td>{{matkul.deskripsi_matkul}}</td>
              <td>{{matkul.semester}}</td>
              <td>{{matkul.ruang_kelas}}</td>
              <td><a href="{% url 'college:update' matkul.id %}"> <button type="button" class="btn btn-outline-info">Update</button></a></td>
              <td><a href="{% url 'college:delete' matkul.id %}"> <button type="button" class="btn btn-outline-danger">Delete</button></a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
</section>
{% endblock main %}

college/templates/college/index.html
{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}
{% block navbar %}
    <header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>

        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
    </header>
{% endblock navbar %}

{% block main %}
<section class="about section" id="about">
    <h2 class="section-title" style="margin-top:50px;">Tambahkan Mata Kuliah</h2>
    <div class="about__container bd-grid d-flex justify-content-center" id="tambah_matkul">
        <form method="POST">
        	{% csrf_token %}
        	<div class="form-group">
        		{{data_form.nama_matkul.label_tag}}
                {{data_form.nama_matkul}}
        	</div>
            <div class="form-group">
                {{data_form.nama_dosen.label_tag}}
                {{data_form.nama_dosen}}
            </div>
            <div class="form-group">
                {{data_form.jumlah_sks.label_tag}}
                {{data_form.jumlah_sks}}
            </div>
            <div class="form-group">
                {{data_form.deskripsi_matkul.label_tag}}
                {{data_form.deskripsi_matkul}}
            </div>
            <div class="form-group">
                {{data_form.semester.label_tag}}
                {{data_form.semester}}
            </div>
            <div class="form-group">
                {{data_form.ruang_kelas.label_tag}}
                {{data_form.ruang_kelas}}
            </div>
            <button type='submit' class="btn btn-primary">Tambahkan</button>
        </form>
    </div>
</section>
{% endblock main %}

college/templates/college/matkul.html
{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}

{% block navbar %}
	<header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>
        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
	</header>
{% endblock navbar %}

{% block main %}
<section class="about section " id="about" style="height:600px;">
    <h2 class="section-title" style="margin-top:50px;">Mata Kuliah</h2>
    <div class="about__container bd-grid col-5 d-flex justify-content-center" id="tambah_matkul">
        <table class="table table-responsive-lg">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Nama Mata Kuliah</th>
              <th scope="col">Review</th>
            </tr>
          </thead>
          <tbody>
            {% for matkul in data_matkul %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{matkul.nama_matkul}}</td>
              <td><a href="{% url 'college:detailpermatkul' matkul.id %}"> <button type="button" class="btn btn-outline-success btn-sm">Lihat Detail Matkul</button></a></td>
            </tr>       
            {% endfor %}
          </tbody>
        </table>
    </div>
    <div class="about__container bd-grid col-5 d-flex justify-content-center">
        <a href="{% url 'college:/' %}"> <button type="button" class="btn btn-primary btn-lg">Tambahkan Mata Kuliah</button></a>
    </div>

</section>
{% endblock main %}

college/templates/college/update.html
{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}
{% block navbar %}
    <header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>

        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
    </header>
{% endblock navbar %}

{% block main %}
<section class="about section" id="about">
    <h2 class="section-title" style="margin-top:50px;">Update Mata Kuliah</h2>
    <div class="about__container bd-grid d-flex justify-content-center" id="tambah_matkul">
        <form method="POST">
        	{% csrf_token %}
        	<div class="form-group">
        		{{data_form.nama_matkul.label_tag}}
                {{data_form.nama_matkul}}
        	</div>
            <div class="form-group">
                {{data_form.nama_dosen.label_tag}}
                {{data_form.nama_dosen}}
            </div>
            <div class="form-group">
                {{data_form.jumlah_sks.label_tag}}
                {{data_form.jumlah_sks}}
            </div>
            <div class="form-group">
                {{data_form.deskripsi_matkul.label_tag}}
                {{data_form.deskripsi_matkul}}
            </div>
            <div class="form-group">
                {{data_form.semester.label_tag}}
                {{data_form.semester}}
            </div>
            <div class="form-group">
                {{data_form.ruang_kelas.label_tag}}
                {{data_form.ruang_kelas}}
            </div>
            <button type='submit' class="btn btn-primary">Update</button>
        </form>
    </div>
</section>
{% endblock main %}